package com.kingdee.eas.custom.perfweb;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractAssessmentResultDescriptionInfo extends com.kingdee.eas.framework.CoreBillBaseInfo implements Serializable 
{
    public AbstractAssessmentResultDescriptionInfo()
    {
        this("id");
    }
    protected AbstractAssessmentResultDescriptionInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object:考核结果说明's 是否生成凭证property 
     */
    public boolean isFivouchered()
    {
        return getBoolean("Fivouchered");
    }
    public void setFivouchered(boolean item)
    {
        setBoolean("Fivouchered", item);
    }
    /**
     * Object: 考核结果说明 's 考核周期 property 
     */
    public com.kingdee.shr.perfweb.app.base.evalplan.PerfPeriodInfo getPeriod()
    {
        return (com.kingdee.shr.perfweb.app.base.evalplan.PerfPeriodInfo)get("period");
    }
    public void setPeriod(com.kingdee.shr.perfweb.app.base.evalplan.PerfPeriodInfo item)
    {
        put("period", item);
    }
    /**
     * Object: 考核结果说明 's 行政组织 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getAdminOrg()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("adminOrg");
    }
    public void setAdminOrg(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("adminOrg", item);
    }
    /**
     * Object:考核结果说明's 备注property 
     */
    public String getRemarks()
    {
        return getString("remarks");
    }
    public void setRemarks(String item)
    {
        setString("remarks", item);
    }
    /**
     * Object:考核结果说明's 考核状态property 
     */
    public com.kingdee.eas.custom.perfweb.bizEnum.AutoStatusEnum getAutoStatus()
    {
        return com.kingdee.eas.custom.perfweb.bizEnum.AutoStatusEnum.getEnum(getString("autoStatus"));
    }
    public void setAutoStatus(com.kingdee.eas.custom.perfweb.bizEnum.AutoStatusEnum item)
    {
		if (item != null) {
        setString("autoStatus", item.getValue());
		}
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("5C1E7175");
    }
}